%define oname rpm

Summary: RPM bindings for ruby
Name: ruby-rpm
Epoch: 1
Version: 0.0.5
Release: %mkrel 4
Group: Development/Ruby
License: GPL
URL: https://github.com/dmacvicar/ruby-rpm-ffi
Source0: http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0: rpm-4.14.patch
Patch1: major.patch
BuildRequires: ruby-ffi
BuildRequires: ruby-rake
BuildRequires: rubygems
BuildArch: noarch

%description
RPM bindings for ruby

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.0.5-4.mga8
+ Revision: 1507898
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:0.0.5-3.mga7
+ Revision: 1291212
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 pterjan <pterjan> 1:0.0.5-2.mga7
+ Revision: 1254156
- Fix loading new librpm major when -devel is not installed

* Sat Sep 09 2017 pterjan <pterjan> 1:0.0.5-1.mga7
+ Revision: 1152288
- Patch for 4.14 API changes (at least enough for my tests to work)
- Switch to the rpm gem based on ffi
+ tv <tv>
- BR ruby-psych
- rebuild for new rpm

* Mon Aug 14 2017 pterjan <pterjan> 1.3.1-20.mga7
+ Revision: 1140328
- Rebuild for new Ruby

* Sat Feb 20 2016 umeabot <umeabot> 1.3.1-19.mga6
+ Revision: 972404
- Mageia 6 Mass Rebuild

* Tue Nov 03 2015 pterjan <pterjan> 1.3.1-18.mga6
+ Revision: 897669
- Rebuild for ruby 2.2

* Sun Sep 06 2015 tv <tv> 1.3.1-17.mga6
+ Revision: 873252
- submit to core/release

* Sun Aug 23 2015 tv <tv> 1.3.1-16.mga6
+ Revision: 868811
- rebuild for rpm-4.13

* Sun Aug 23 2015 tv <tv> 1.3.1-15.mga6
+ Revision: 868201
- rebuild for rpm-4.13

* Sat Aug 01 2015 tv <tv> 1.3.1-14.mga6
+ Revision: 860464
- rebuild for rpm-4.13

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-13.mga5
+ Revision: 739573
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-12.mga5
+ Revision: 688936
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.3.1-11.mga4
+ Revision: 562686
- Fix gem macros and drop old workaround

* Thu Dec 19 2013 pterjan <pterjan> 1.3.1-10.mga4
+ Revision: 558714
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.3.1-9.mga4
+ Revision: 537972
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1.3.1-8.mga4
+ Revision: 488213
- define oname
- use gem-setup

* Fri Feb 08 2013 umeabot <umeabot> 1.3.1-7.mga3
+ Revision: 396392
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.1-6.mga3
+ Revision: 381356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.3.1-5.mga3
+ Revision: 332372
- patch 10: adapt to rpm-4.1
- rebuild for new rpm

* Thu Nov 08 2012 pterjan <pterjan> 1.3.1-4.mga3
+ Revision: 316268
- Patches for new rpm and new ruby
+ fwang <fwang>
- rebuild for updated rpm
+ tv <tv>
- rebuild for new rpm-4.10.0

* Tue Jan 03 2012 pterjan <pterjan> 1.3.1-2.mga2
+ Revision: 189763
- Fixed file list
- Updated doc list
- Port to rpm 4.9
+ fwang <fwang>
- new version 1.3.1
+ dmorgan <dmorgan>
- Rebuild against rpm 4.9.1.2

* Sat Apr 30 2011 pterjan <pterjan> 1.2.3-12.mga1
+ Revision: 93765
- Bump release
- imported package ruby-rpm


* Tue Sep 08 2009 Pascal Terjan <pterjan@mandriva.org> 1.2.3-11mdv2010.0
+ Revision: 433349
- build with db-4.7
- Add poor suggests support

* Thu Mar 05 2009 Pascal Terjan <pterjan@mandriva.org> 1.2.3-10mdv2009.1
+ Revision: 348798
- Add rpm 4.6 patch from momonga (and disable rpm5 patch for now)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new rpm

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-8mdv2009.0
+ Revision: 260434
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-7mdv2009.0
+ Revision: 251785
- rebuild

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-5mdv2008.1
+ Revision: 183269
- fixed misleading usage message in rpmvercmp.rb...

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-4mdv2008.1
+ Revision: 183267
- included a very simple rpm version comparator (/usr/bin/rpmvercmp.rb)

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-3mdv2008.1
+ Revision: 183208
- needs a rebuild, for either new rpm, or new ruby (unlikely, I think)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add rpm5 support (P2)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2.3-2mdv2008.0
+ Revision: 37950
- patch1: rpm 4.4.8 adaptation

* Sun May 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 28768
- 1.2.3


* Thu Mar 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 147836
- 1.2.2
- drop the first part of P0 (merged upstream)
- use standart macros

* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-6mdv2007.1
+ Revision: 105067
- Bump release
- Update group and URL

* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-5mdv2007.1
+ Revision: 104992
- Fix building with latest rpm
- 1.2.1
- drop old patches
- start support building against new rpm
- Import ruby-rpm

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2.0-7mdk
- Add patch 4 (avoid segfaults with rpm 4.4.5)

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2.0-6mdk
- Rebuild for rpm 4.4.5

* Thu Jul 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.2.0-5mdk
- add upstrem patch (P3) implementing sprintf method

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 1.2.0-4mdk
- rebuild for rpm 4.4

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-3mdk
- replace P0 with upstream patch also fixing rb_time_new
- add upstream patch (P1) implementing expand method
- add upstream patch (P2) implementing inspect method

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-2mdk
- fix rb_time_new usage

* Sat Jul 03 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.0-1mdk
- Adapt for Mandrakelinux 
- Patch for a segfault when TMP or TEMP or TMPDIR exist but does not contain =

